javax.security.auth.message.callback

## Class PrivateKeyCallback.IssuerSerialNumRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.IssuerSerialNumRequest

- All Implemented Interfaces:
    PrivateKeyCallback.Request
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.IssuerSerialNumRequest
      extends java.lang.Object
      implements PrivateKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyCallback.IssuerSerialNumRequest(javax.security.auth.x500.X500Principal issuer, java.math.BigInteger serialNum)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.x500.X500Principal` | `getIssuer()`
    `java.math.BigInteger` | `getSerialNum()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyCallback.IssuerSerialNumRequest

          public PrivateKeyCallback.IssuerSerialNumRequest(javax.security.auth.x500.X500Principal issuer,
                                                   java.math.BigInteger serialNum)

  - ### Method Detail

    - #### getIssuer

          public javax.security.auth.x500.X500Principal getIssuer()

    - #### getSerialNum

          public java.math.BigInteger getSerialNum()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.